This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1470655 - [RFE] [6.3] capsule-certs-generate option --capsule-fqdn is now --foreman-proxy-fqdn
[RFE] [6.3] capsule-certs-generate option --capsule-fqdn is now --foreman-pro...
Status: ON_QA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium (vote)
: Beta
: 6.X
Assigned To: csherrar
Stephen Wadeley
: FutureFeature
: 1500671 (view as bug list)
Depends On: 1458749
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 08:03 EDT by Peter Ondrejka
Modified: 2017-10-18 10:59 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ondrejka 2017-07-13 08:03:59 EDT
Document URL: https://doc-stage.usersys.redhat.com/documentation/en-us/red_hat_satellite/6.3-beta/html-single/installation_guide/#configuring_capsule_default_certificate

Section Number and Name: 
4.6.1. Configuring Capsule Server with a Default Server Certificate

Describe the issue: 

Apparently, options for capsule-certs-generate had changed, --capsule-fqdn is now --node-fqdn

Additional information: Quote marks also make trouble, please see https://bugzilla.redhat.com/show_bug.cgi?id=1470653
Comment 1 Andrew Dahms 2017-08-09 02:54:52 EDT
Assigning to Charles for review.
Comment 7 Andrew Dahms 2017-09-06 21:37:55 EDT
Changing the assignee to Clifton.

Clifton - the documentation for this bug is ready, but as per the comments above, we need to keep an eye on this until the related bug has been addressed.

Let's wait until that bug has been completed for now, and close this out after we can confirm if any changes took place.
Comment 8 Christian Marineau 2017-10-10 15:45:36 EDT
Hi,

From the tests and verification I've made, the correct option would actually be "--foreman-proxy-fqdn" and /not/ "--node-fqdn". If you are not using the correct parameter, it will not throw error, but the generated command will not be accurate: the "foreman-proxy-trusted-hosts" will not be showing the Capsule fqdn.

Here would be the correct command:
# capsule-certs-generate --foreman-proxy-fqdn capsule.remote.example.com --certs-tar ~/capsule.remote.example.com-certs.tar

Thanks

-Christian
Comment 9 Stephen Wadeley 2017-10-11 05:03:02 EDT
Hello Christian

Thanks for reporting your tests. We are waiting for BZ#1458749 to be resolved before we make changes.

Changing from --capsule-fqdn to --foreman-proxy-fqdn looks like a regression to me (in branding changes possibly).

Thank you
Comment 10 Stephen Wadeley 2017-10-11 05:09:01 EDT
Hello Eric

Please see comment 8 and comment 9

Please confirm the command that should be used in docs.


Thank you
Comment 11 Eric Helms 2017-10-11 08:28:07 EDT
The correct command is now:

capsule-certs-generate --foreman-proxy-fqdn capsule.remote.example.com --certs-tar ~/capsule.remote.example.com-certs.tar

This is not a branding regression.
Comment 12 Stephen Wadeley 2017-10-11 09:18:22 EDT
Tkank you Eric for the speedy response. 

Changing bug summary to match answer in comment 11.
Comment 13 Stephen Wadeley 2017-10-11 09:22:59 EDT
Hello Clifton

Please do:

s/node-fqdn/foreman-proxy-fqdn/

in the file topics/configuring_capsule_default_certificate.adoc


Thnak you
Comment 14 csherrar 2017-10-11 09:30:07 EDT
Hi Stephen,

Will do!

Regards,
Comment 20 Brad Buckingham 2017-10-16 16:08:08 EDT
*** Bug 1500671 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.